# Class: NoUnnecessaryFatArrows

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/rules/no_unnecessary_fat_arrows.coffee

## Variables Summary

rule =

      {
        name: 'no_unnecessary_fat_arrows',
        level: 'warn',
        message: 'Unnecessary fat arrow',
        description: "Disallows defining functions with fat arrows when `this`\nis not used within the function."
      }

## Instance Method Summary

- # (void) lintAST(node, astApi)
- # (void) lintNode(node)
- # (void) isCode(node)
- # (void) isFatArrowCode(node)
- # (void) isValue(node)
- # (void) isThis(node) Bound
- # (void) needsFatArrow(node) Bound

## Instance Method Details

# (void) lintAST(node, astApi)

# (void) lintNode(node)

# (void) isCode(node)

# (void) isFatArrowCode(node)

# (void) isValue(node)

# (void) isThis(node) Bound

# (void) needsFatArrow(node) Bound

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input